Index: issm/trunk-jpl/src/c/Makefile.am
===================================================================
--- issm/trunk-jpl/src/c/Makefile.am	(revision 12834)
+++ issm/trunk-jpl/src/c/Makefile.am	(revision 12835)
@@ -213,4 +213,5 @@
 					./shared/Elements/GetGlobalDofList.cpp\
 					./shared/Elements/GetNumberOfDofs.cpp\
+					./shared/Elements/PrintArrays.cpp\
 					./shared/Elements/PddSurfaceMassBalance.cpp\
 					./shared/Elements/ComputeDelta18oTemperaturePrecipitation.cpp\
@@ -364,6 +365,6 @@
 #}}}
 #DAKOTA sources  {{{
-dakota_sources = ./objects/DakotaPlugin.h\
-					  ./objects/DakotaPlugin.cpp\
+dakota_sources = ./classes/dakota/DakotaPlugin.h\
+					  ./classes/dakota/DakotaPlugin.cpp\
 					  ./modules/InputUpdateFromDakotax/InputUpdateFromDakotax.h\
 					  ./modules/InputUpdateFromDakotax/InputUpdateFromDakotax.cpp\
@@ -699,58 +700,58 @@
 			     ./modules/KMLOverlayx/KMLOverlayx.h\
 			     ./modules/KMLOverlayx/KMLOverlayx.cpp\
-			     ./objects/KML/KML_Attribute.cpp\
-			     ./objects/KML/KML_Attribute.h\
-			     ./objects/KML/KML_Comment.cpp\
-			     ./objects/KML/KML_Comment.h\
-			     ./objects/KML/KML_ColorStyle.cpp\
-			     ./objects/KML/KML_ColorStyle.h\
-			     ./objects/KML/KML_Container.cpp\
-			     ./objects/KML/KML_Container.h\
-			     ./objects/KML/KML_Document.cpp\
-			     ./objects/KML/KML_Document.h\
-			     ./objects/KML/KML_Feature.cpp\
-			     ./objects/KML/KML_Feature.h\
-			     ./objects/KML/KML_File.cpp\
-			     ./objects/KML/KML_File.h\
-			     ./objects/KML/KML_Folder.cpp\
-			     ./objects/KML/KML_Folder.h\
-			     ./objects/KML/KML_Geometry.cpp\
-			     ./objects/KML/KML_Geometry.h\
-			     ./objects/KML/KML_GroundOverlay.cpp\
-			     ./objects/KML/KML_GroundOverlay.h\
-			     ./objects/KML/KML_Icon.cpp\
-			     ./objects/KML/KML_Icon.h\
-			     ./objects/KML/KML_LatLonBox.cpp\
-		  	     ./objects/KML/KML_LatLonBox.h\
-			     ./objects/KML/KML_LinearRing.cpp\
-			     ./objects/KML/KML_LinearRing.h\
-			     ./objects/KML/KML_LineString.cpp\
-			     ./objects/KML/KML_LineString.h\
-			     ./objects/KML/KML_LineStyle.cpp\
-			     ./objects/KML/KML_LineStyle.h\
-			     ./objects/KML/KML_MultiGeometry.cpp\
-			     ./objects/KML/KML_MultiGeometry.h\
-			     ./objects/KML/KML_Object.cpp\
-			     ./objects/KML/KML_Object.h\
-			     ./objects/KML/KML_Overlay.cpp\
-			     ./objects/KML/KML_Overlay.h\
-			     ./objects/KML/KML_Point.cpp\
-			     ./objects/KML/KML_Point.h\
-			     ./objects/KML/KML_Placemark.cpp\
-			     ./objects/KML/KML_Placemark.h\
-			     ./objects/KML/KML_Polygon.cpp\
-			     ./objects/KML/KML_Polygon.h\
-			     ./objects/KML/KML_PolyStyle.cpp\
-			     ./objects/KML/KML_PolyStyle.h\
-			     ./objects/KML/KML_Style.cpp\
-			     ./objects/KML/KML_Style.h\
-			     ./objects/KML/KML_StyleSelector.cpp\
-			     ./objects/KML/KML_StyleSelector.h\
-			     ./objects/KML/KML_SubStyle.cpp\
-			     ./objects/KML/KML_SubStyle.h\
-			     ./objects/KML/KML_Unknown.cpp\
-			     ./objects/KML/KML_Unknown.h\
-			     ./objects/KML/KMLFileReadUtils.cpp\
-			     ./objects/KML/KMLFileReadUtils.h
+			     ./classes/objects/KML/KML_Attribute.cpp\
+			     ./classes/objects/KML/KML_Attribute.h\
+			     ./classes/objects/KML/KML_Comment.cpp\
+			     ./classes/objects/KML/KML_Comment.h\
+			     ./classes/objects/KML/KML_ColorStyle.cpp\
+			     ./classes/objects/KML/KML_ColorStyle.h\
+			     ./classes/objects/KML/KML_Container.cpp\
+			     ./classes/objects/KML/KML_Container.h\
+			     ./classes/objects/KML/KML_Document.cpp\
+			     ./classes/objects/KML/KML_Document.h\
+			     ./classes/objects/KML/KML_Feature.cpp\
+			     ./classes/objects/KML/KML_Feature.h\
+			     ./classes/objects/KML/KML_File.cpp\
+			     ./classes/objects/KML/KML_File.h\
+			     ./classes/objects/KML/KML_Folder.cpp\
+			     ./classes/objects/KML/KML_Folder.h\
+			     ./classes/objects/KML/KML_Geometry.cpp\
+			     ./classes/objects/KML/KML_Geometry.h\
+			     ./classes/objects/KML/KML_GroundOverlay.cpp\
+			     ./classes/objects/KML/KML_GroundOverlay.h\
+			     ./classes/objects/KML/KML_Icon.cpp\
+			     ./classes/objects/KML/KML_Icon.h\
+			     ./classes/objects/KML/KML_LatLonBox.cpp\
+		  	     ./classes/objects/KML/KML_LatLonBox.h\
+			     ./classes/objects/KML/KML_LinearRing.cpp\
+			     ./classes/objects/KML/KML_LinearRing.h\
+			     ./classes/objects/KML/KML_LineString.cpp\
+			     ./classes/objects/KML/KML_LineString.h\
+			     ./classes/objects/KML/KML_LineStyle.cpp\
+			     ./classes/objects/KML/KML_LineStyle.h\
+			     ./classes/objects/KML/KML_MultiGeometry.cpp\
+			     ./classes/objects/KML/KML_MultiGeometry.h\
+			     ./classes/objects/KML/KML_Object.cpp\
+			     ./classes/objects/KML/KML_Object.h\
+			     ./classes/objects/KML/KML_Overlay.cpp\
+			     ./classes/objects/KML/KML_Overlay.h\
+			     ./classes/objects/KML/KML_Point.cpp\
+			     ./classes/objects/KML/KML_Point.h\
+			     ./classes/objects/KML/KML_Placemark.cpp\
+			     ./classes/objects/KML/KML_Placemark.h\
+			     ./classes/objects/KML/KML_Polygon.cpp\
+			     ./classes/objects/KML/KML_Polygon.h\
+			     ./classes/objects/KML/KML_PolyStyle.cpp\
+			     ./classes/objects/KML/KML_PolyStyle.h\
+			     ./classes/objects/KML/KML_Style.cpp\
+			     ./classes/objects/KML/KML_Style.h\
+			     ./classes/objects/KML/KML_StyleSelector.cpp\
+			     ./classes/objects/KML/KML_StyleSelector.h\
+			     ./classes/objects/KML/KML_SubStyle.cpp\
+			     ./classes/objects/KML/KML_SubStyle.h\
+			     ./classes/objects/KML/KML_Unknown.cpp\
+			     ./classes/objects/KML/KML_Unknown.h\
+			     ./classes/objects/KML/KMLFileReadUtils.cpp\
+			     ./classes/objects/KML/KMLFileReadUtils.h
 #}}}
 #Petsc sources  {{{
Index: issm/trunk-jpl/src/c/classes/IoModel.h
===================================================================
--- issm/trunk-jpl/src/c/classes/IoModel.h	(revision 12834)
+++ issm/trunk-jpl/src/c/classes/IoModel.h	(revision 12835)
@@ -11,4 +11,5 @@
 #include "../EnumDefinitions/EnumDefinitions.h"
 
+class Parameters;
 class Elements;
 class Param;
Index: issm/trunk-jpl/src/c/classes/bamg/BamgQuadtree.h
===================================================================
--- issm/trunk-jpl/src/c/classes/bamg/BamgQuadtree.h	(revision 12834)
+++ issm/trunk-jpl/src/c/classes/bamg/BamgQuadtree.h	(revision 12835)
@@ -4,4 +4,5 @@
 
 #include "./include.h"
+#include "../objects/Object.h"
 class DataSet;
 
Index: issm/trunk-jpl/src/c/classes/objects.h
===================================================================
--- issm/trunk-jpl/src/c/classes/objects.h	(revision 12834)
+++ issm/trunk-jpl/src/c/classes/objects.h	(revision 12835)
@@ -7,141 +7,24 @@
 
 /*Abstract classes: */
-#include "./Object.h"
+#include "./objects/objects.h"
 
 /*Objects: */
 #include "./Hook.h"
 #include "./DofIndexing.h"
-#include "./Vertex.h"
-#include "./Node.h"
-#include "./Segment.h"
 #include "./IoModel.h"
 #include "./Patch.h"
 #include "./Update.h"
 
-/*Constraints: */
-#include "./Constraints/Constraint.h"
-#include "./Constraints/SpcStatic.h"
-#include "./Constraints/SpcTransient.h"
-#include "./Constraints/SpcDynamic.h"
-
 /*Gauss*/
-#include "./Gauss/GaussTria.h"
-#include "./Gauss/GaussPenta.h"
-
-/*Loads: */
-#include "./Loads/Load.h"
-#include "./Loads/Friction.h"
-#include "./Loads/Icefront.h"
-#include "./Loads/Numericalflux.h"
-#include "./Loads/Riftfront.h"
-#include "./Loads/Penpair.h"
-#include "./Loads/Pengrid.h"
-
-/*Elements: */
-#include "./Elements/Element.h"
-#include "./Elements/Penta.h"
-#include "./Elements/PentaHook.h"
-#include "./Elements/PentaRef.h"
-#include "./Elements/Tria.h"
-#include "./Elements/TriaHook.h"
-#include "./Elements/TriaRef.h"
-
-/*KML parsing objects: */
-#include "./KML/KML_Attribute.h"
-#include "./KML/KML_Comment.h"
-#include "./KML/KML_ColorStyle.h"
-#include "./KML/KML_Container.h"
-#include "./KML/KML_Document.h"
-#include "./KML/KML_Feature.h"
-#include "./KML/KML_File.h"
-#include "./KML/KML_Folder.h"
-#include "./KML/KML_Geometry.h"
-#include "./KML/KML_GroundOverlay.h"
-#include "./KML/KML_Icon.h"
-#include "./KML/KML_LatLonBox.h"
-#include "./KML/KML_LinearRing.h"
-#include "./KML/KML_LineString.h"
-#include "./KML/KML_LineStyle.h"
-#include "./KML/KML_MultiGeometry.h"
-#include "./KML/KML_Object.h"
-#include "./KML/KML_Overlay.h"
-#include "./KML/KML_Point.h"
-#include "./KML/KML_Placemark.h"
-#include "./KML/KML_Polygon.h"
-#include "./KML/KML_PolyStyle.h"
-#include "./KML/KML_Style.h"
-#include "./KML/KML_StyleSelector.h"
-#include "./KML/KML_SubStyle.h"
-#include "./KML/KML_Unknown.h"
-#include "./KML/KMLFileReadUtils.h"
-
-/*Option parsing objects: */
-#include "./Options/Option.h"
-#include "./Options/OptionDouble.h"
-#include "./Options/OptionLogical.h"
-#include "./Options/OptionChar.h"
-#include "./Options/OptionStruct.h"
-#include "./Options/OptionCell.h"
-#include "./Options/OptionUtilities.h"
-
-/*Inputs: */
-#include "./Inputs/Input.h"
-#include "./Inputs/BoolInput.h"
-#include "./Inputs/DoubleInput.h"
-#include "./Inputs/IntInput.h"
-#include "./Inputs/PentaP1Input.h"
-#include "./Inputs/TriaP1Input.h"
-#include "./Inputs/ControlInput.h"
-#include "./Inputs/DatasetInput.h"
-#include "./Inputs/TransientInput.h"
-
-/*ElementResults: */
-#include "./ElementResults/ElementResult.h"
-#include "./ElementResults/DoubleElementResult.h"
-#include "./ElementResults/TriaP1ElementResult.h"
-#include "./ElementResults/PentaP1ElementResult.h" 
-#include "./ElementResults/BoolElementResult.h"
-
-/*ExternalResults: */
-#include "./ExternalResults/ExternalResult.h"
-#include "./ExternalResults/BoolExternalResult.h"
-#include "./ExternalResults/DoubleExternalResult.h"
-#include "./ExternalResults/DoubleVecExternalResult.h"
-#include "./ExternalResults/DoubleMatExternalResult.h"
-#include "./ExternalResults/IntExternalResult.h"
-#include "./ExternalResults/PetscVecExternalResult.h"
-#include "./ExternalResults/StringExternalResult.h"
-
-/*Materials: */
-#include "./Materials/Material.h"
-#include "./Materials/Matice.h"
-#include "./Materials/Matpar.h"
+#include "./gauss/GaussTria.h"
+#include "./gauss/GaussPenta.h"
 
 /*Numerics:*/
-#include "./Numerics/ElementMatrix.h"
-#include "./Numerics/ElementVector.h"
-#include "./Numerics/Vector.h"
-#include "./Numerics/Matrix.h"
-
-/*Params: */
-#include "./Params/BoolParam.h"
-#include "./Params/DoubleMatParam.h"
-#include "./Params/DoubleTransientMatParam.h"
-#include "./Params/DoubleMatArrayParam.h"
-#include "./Params/DoubleParam.h"
-#include "./Params/DoubleVecParam.h"
-#include "./Params/IntParam.h"
-#include "./Params/IntVecParam.h"
-#include "./Params/IntMatParam.h"
-#include "./Params/FileParam.h"
-#include "./Params/Param.h"
-#include "./Params/MatrixParam.h"
-#include "./Params/VectorParam.h"
-#include "./Params/StringArrayParam.h"
-#include "./Params/StringParam.h"
-#include "./Params/TransientParam.h"
+#include "./matrix/ElementMatrix.h"
+#include "./matrix/ElementVector.h"
+#include "./matrix/Vector.h"
+#include "./matrix/Matrix.h"
 
 /*C objects: */
-#include "./Contour.h"
 #include "./FemModel.h"
 #include "./OptArgs.h"
@@ -149,37 +32,37 @@
 
 /*Bamg: */
-#include "./Bamg/BamgOpts.h"
-#include "./Bamg/BamgGeom.h"
-#include "./Bamg/BamgMesh.h"
-#include "./Bamg/Metric.h"
-#include "./Bamg/DoubleAndInt.h"
-#include "./Bamg/Direction.h"
-#include "./Bamg/BamgVertex.h"
-#include "./Bamg/AdjacentTriangle.h"
-#include "./Bamg/Edge.h"
-#include "./Bamg/GeomVertex.h"
-#include "./Bamg/GeomEdge.h"
-#include "./Bamg/Curve.h"
-#include "./Bamg/Triangle.h"
-#include "./Bamg/ListofIntersectionTriangles.h"
-#include "./Bamg/GeomSubDomain.h"
-#include "./Bamg/SubDomain.h"
-#include "./Bamg/VertexOnGeom.h"
-#include "./Bamg/VertexOnVertex.h"
-#include "./Bamg/VertexOnEdge.h"
-#include "./Bamg/CrackedEdge.h"
-#include "./Bamg/Mesh.h"
-#include "./Bamg/Geometry.h"
-#include "./Bamg/BamgQuadtree.h"
-#include "./Bamg/SetOfE4.h"
+#include "./bamg/BamgOpts.h"
+#include "./bamg/BamgGeom.h"
+#include "./bamg/BamgMesh.h"
+#include "./bamg/Metric.h"
+#include "./bamg/DoubleAndInt.h"
+#include "./bamg/Direction.h"
+#include "./bamg/BamgVertex.h"
+#include "./bamg/AdjacentTriangle.h"
+#include "./bamg/Edge.h"
+#include "./bamg/GeomVertex.h"
+#include "./bamg/GeomEdge.h"
+#include "./bamg/Curve.h"
+#include "./bamg/Triangle.h"
+#include "./bamg/ListofIntersectionTriangles.h"
+#include "./bamg/GeomSubDomain.h"
+#include "./bamg/SubDomain.h"
+#include "./bamg/VertexOnGeom.h"
+#include "./bamg/VertexOnVertex.h"
+#include "./bamg/VertexOnEdge.h"
+#include "./bamg/CrackedEdge.h"
+#include "./bamg/Mesh.h"
+#include "./bamg/Geometry.h"
+#include "./bamg/BamgQuadtree.h"
+#include "./bamg/SetOfE4.h"
 
 /*Kriging*/
-#include "./Kriging/Variogram.h"
-#include "./Kriging/GaussianVariogram.h"
-#include "./Kriging/ExponentialVariogram.h"
-#include "./Kriging/SphericalVariogram.h"
-#include "./Kriging/PowerVariogram.h"
-#include "./Kriging/Quadtree.h"
-#include "./Kriging/Observation.h"
+#include "./kriging/Variogram.h"
+#include "./kriging/GaussianVariogram.h"
+#include "./kriging/ExponentialVariogram.h"
+#include "./kriging/SphericalVariogram.h"
+#include "./kriging/PowerVariogram.h"
+#include "./kriging/Quadtree.h"
+#include "./kriging/Observation.h"
 
 #endif
Index: issm/trunk-jpl/src/c/classes/objects/KML/KMLFileReadUtils.cpp
===================================================================
--- issm/trunk-jpl/src/c/classes/objects/KML/KMLFileReadUtils.cpp	(revision 12834)
+++ issm/trunk-jpl/src/c/classes/objects/KML/KMLFileReadUtils.cpp	(revision 12835)
@@ -14,8 +14,8 @@
 #include <string.h>
 #include "../objects.h"
-#include "../../shared/shared.h"
-#include "../../io/io.h"
-#include "../../Container/Container.h"
-#include "../../include/include.h"
+#include "../../../shared/shared.h"
+#include "../../../io/io.h"
+#include "../../../Container/Container.h"
+#include "../../../include/include.h"
 /*}}}*/
 
Index: issm/trunk-jpl/src/c/classes/objects/KML/KML_Attribute.cpp
===================================================================
--- issm/trunk-jpl/src/c/classes/objects/KML/KML_Attribute.cpp	(revision 12834)
+++ issm/trunk-jpl/src/c/classes/objects/KML/KML_Attribute.cpp	(revision 12835)
@@ -14,8 +14,8 @@
 #include <string.h>
 #include "../objects.h"
-#include "../../shared/shared.h"
-#include "../../io/io.h"
-#include "../../Container/Container.h"
-#include "../../include/include.h"
+#include "../../../shared/shared.h"
+#include "../../../io/io.h"
+#include "../../../Container/Container.h"
+#include "../../../include/include.h"
 /*}}}*/
 
Index: issm/trunk-jpl/src/c/classes/objects/KML/KML_ColorStyle.cpp
===================================================================
--- issm/trunk-jpl/src/c/classes/objects/KML/KML_ColorStyle.cpp	(revision 12834)
+++ issm/trunk-jpl/src/c/classes/objects/KML/KML_ColorStyle.cpp	(revision 12835)
@@ -14,8 +14,8 @@
 #include <string.h>
 #include "../objects.h"
-#include "../../shared/shared.h"
-#include "../../io/io.h"
-#include "../../Container/Container.h"
-#include "../../include/include.h"
+#include "../../../shared/shared.h"
+#include "../../../io/io.h"
+#include "../../../Container/Container.h"
+#include "../../../include/include.h"
 /*}}}*/
 
Index: issm/trunk-jpl/src/c/classes/objects/KML/KML_Comment.cpp
===================================================================
--- issm/trunk-jpl/src/c/classes/objects/KML/KML_Comment.cpp	(revision 12834)
+++ issm/trunk-jpl/src/c/classes/objects/KML/KML_Comment.cpp	(revision 12835)
@@ -14,8 +14,8 @@
 #include <string.h>
 #include "../objects.h"
-#include "../../shared/shared.h"
-#include "../../io/io.h"
-#include "../../Container/Container.h"
-#include "../../include/include.h"
+#include "../../../shared/shared.h"
+#include "../../../io/io.h"
+#include "../../../Container/Container.h"
+#include "../../../include/include.h"
 /*}}}*/
 
Index: issm/trunk-jpl/src/c/classes/objects/KML/KML_Container.cpp
===================================================================
--- issm/trunk-jpl/src/c/classes/objects/KML/KML_Container.cpp	(revision 12834)
+++ issm/trunk-jpl/src/c/classes/objects/KML/KML_Container.cpp	(revision 12835)
@@ -14,8 +14,8 @@
 #include <string.h>
 #include "../objects.h"
-#include "../../shared/shared.h"
-#include "../../io/io.h"
-#include "../../Container/Container.h"
-#include "../../include/include.h"
+#include "../../../shared/shared.h"
+#include "../../../io/io.h"
+#include "../../../Container/Container.h"
+#include "../../../include/include.h"
 /*}}}*/
 
Index: issm/trunk-jpl/src/c/classes/objects/KML/KML_Document.cpp
===================================================================
--- issm/trunk-jpl/src/c/classes/objects/KML/KML_Document.cpp	(revision 12834)
+++ issm/trunk-jpl/src/c/classes/objects/KML/KML_Document.cpp	(revision 12835)
@@ -14,8 +14,8 @@
 #include <string.h>
 #include "../objects.h"
-#include "../../shared/shared.h"
-#include "../../io/io.h"
-#include "../../Container/Container.h"
-#include "../../include/include.h"
+#include "../../../shared/shared.h"
+#include "../../../io/io.h"
+#include "../../../Container/Container.h"
+#include "../../../include/include.h"
 /*}}}*/
 
@@ -48,5 +48,4 @@
 }
 /*}}}*/
-
 /*FUNCTION KML_Document::DeepEcho {{{*/
 void  KML_Document::DeepEcho(){
@@ -59,5 +58,4 @@
 }
 /*}}}*/
-
 /*FUNCTION KML_Document::DeepEcho {{{*/
 void  KML_Document::DeepEcho(const char* indent){
@@ -71,5 +69,4 @@
 }
 /*}}}*/
-
 /*FUNCTION KML_Document::Write {{{*/
 void  KML_Document::Write(FILE* filout,const char* indent){
@@ -87,5 +84,4 @@
 }
 /*}}}*/
-
 /*FUNCTION KML_Document::Read {{{*/
 void  KML_Document::Read(FILE* fid,char* kstr){
Index: issm/trunk-jpl/src/c/classes/objects/KML/KML_Feature.cpp
===================================================================
--- issm/trunk-jpl/src/c/classes/objects/KML/KML_Feature.cpp	(revision 12834)
+++ issm/trunk-jpl/src/c/classes/objects/KML/KML_Feature.cpp	(revision 12835)
@@ -14,8 +14,8 @@
 #include <string.h>
 #include "../objects.h"
-#include "../../shared/shared.h"
-#include "../../io/io.h"
-#include "../../Container/Container.h"
-#include "../../include/include.h"
+#include "../../../shared/shared.h"
+#include "../../../io/io.h"
+#include "../../../Container/Container.h"
+#include "../../../include/include.h"
 /*}}}*/
 
Index: issm/trunk-jpl/src/c/classes/objects/KML/KML_File.cpp
===================================================================
--- issm/trunk-jpl/src/c/classes/objects/KML/KML_File.cpp	(revision 12834)
+++ issm/trunk-jpl/src/c/classes/objects/KML/KML_File.cpp	(revision 12835)
@@ -14,8 +14,8 @@
 #include <string.h>
 #include "../objects.h"
-#include "../../shared/shared.h"
-#include "../../io/io.h"
-#include "../../Container/Container.h"
-#include "../../include/include.h"
+#include "../../../shared/shared.h"
+#include "../../../io/io.h"
+#include "../../../Container/Container.h"
+#include "../../../include/include.h"
 /*}}}*/
 
Index: issm/trunk-jpl/src/c/classes/objects/KML/KML_Folder.cpp
===================================================================
--- issm/trunk-jpl/src/c/classes/objects/KML/KML_Folder.cpp	(revision 12834)
+++ issm/trunk-jpl/src/c/classes/objects/KML/KML_Folder.cpp	(revision 12835)
@@ -14,8 +14,8 @@
 #include <string.h>
 #include "../objects.h"
-#include "../../shared/shared.h"
-#include "../../io/io.h"
-#include "../../Container/Container.h"
-#include "../../include/include.h"
+#include "../../../shared/shared.h"
+#include "../../../io/io.h"
+#include "../../../Container/Container.h"
+#include "../../../include/include.h"
 /*}}}*/
 
@@ -48,5 +48,4 @@
 }
 /*}}}*/
-
 /*FUNCTION KML_Folder::DeepEcho {{{*/
 void  KML_Folder::DeepEcho(){
@@ -59,5 +58,4 @@
 }
 /*}}}*/
-
 /*FUNCTION KML_Folder::DeepEcho {{{*/
 void  KML_Folder::DeepEcho(const char* indent){
@@ -71,5 +69,4 @@
 }
 /*}}}*/
-
 /*FUNCTION KML_Folder::Write {{{*/
 void  KML_Folder::Write(FILE* filout,const char* indent){
@@ -87,5 +84,4 @@
 }
 /*}}}*/
-
 /*FUNCTION KML_Folder::Read {{{*/
 void  KML_Folder::Read(FILE* fid,char* kstr){
@@ -129,3 +125,2 @@
 }
 /*}}}*/
-
Index: issm/trunk-jpl/src/c/classes/objects/KML/KML_Geometry.cpp
===================================================================
--- issm/trunk-jpl/src/c/classes/objects/KML/KML_Geometry.cpp	(revision 12834)
+++ issm/trunk-jpl/src/c/classes/objects/KML/KML_Geometry.cpp	(revision 12835)
@@ -14,7 +14,8 @@
 #include <string.h>
 #include "../objects.h"
-#include "../../shared/shared.h"
-#include "../../Container/Container.h"
-#include "../../include/include.h"
+#include "../../../shared/shared.h"
+#include "../../../io/io.h"
+#include "../../../Container/Container.h"
+#include "../../../include/include.h"
 /*}}}*/
 
@@ -44,5 +45,4 @@
 }
 /*}}}*/
-
 /*FUNCTION KML_Geometry::DeepEcho {{{*/
 void  KML_Geometry::DeepEcho(){
@@ -55,5 +55,4 @@
 }
 /*}}}*/
-
 /*FUNCTION KML_Geometry::DeepEcho {{{*/
 void  KML_Geometry::DeepEcho(const char* indent){
@@ -64,5 +63,4 @@
 }
 /*}}}*/
-
 /*FUNCTION KML_Geometry::Write {{{*/
 void  KML_Geometry::Write(FILE* filout,const char* indent){
@@ -73,5 +71,4 @@
 }
 /*}}}*/
-
 /*FUNCTION KML_Geometry::Read {{{*/
 void  KML_Geometry::Read(FILE* fid,char* kstr){
@@ -92,3 +89,2 @@
 }
 /*}}}*/
-
Index: issm/trunk-jpl/src/c/classes/objects/KML/KML_GroundOverlay.cpp
===================================================================
--- issm/trunk-jpl/src/c/classes/objects/KML/KML_GroundOverlay.cpp	(revision 12834)
+++ issm/trunk-jpl/src/c/classes/objects/KML/KML_GroundOverlay.cpp	(revision 12835)
@@ -14,8 +14,8 @@
 #include <string.h>
 #include "../objects.h"
-#include "../../shared/shared.h"
-#include "../../io/io.h"
-#include "../../Container/Container.h"
-#include "../../include/include.h"
+#include "../../../shared/shared.h"
+#include "../../../io/io.h"
+#include "../../../Container/Container.h"
+#include "../../../include/include.h"
 /*}}}*/
 
Index: issm/trunk-jpl/src/c/classes/objects/KML/KML_Icon.cpp
===================================================================
--- issm/trunk-jpl/src/c/classes/objects/KML/KML_Icon.cpp	(revision 12834)
+++ issm/trunk-jpl/src/c/classes/objects/KML/KML_Icon.cpp	(revision 12835)
@@ -14,8 +14,8 @@
 #include <string.h>
 #include "../objects.h"
-#include "../../shared/shared.h"
-#include "../../io/io.h"
-#include "../../Container/Container.h"
-#include "../../include/include.h"
+#include "../../../shared/shared.h"
+#include "../../../io/io.h"
+#include "../../../Container/Container.h"
+#include "../../../include/include.h"
 /*}}}*/
 
Index: issm/trunk-jpl/src/c/classes/objects/KML/KML_LatLonBox.cpp
===================================================================
--- issm/trunk-jpl/src/c/classes/objects/KML/KML_LatLonBox.cpp	(revision 12834)
+++ issm/trunk-jpl/src/c/classes/objects/KML/KML_LatLonBox.cpp	(revision 12835)
@@ -14,8 +14,8 @@
 #include <string.h>
 #include "../objects.h"
-#include "../../shared/shared.h"
-#include "../../io/io.h"
-#include "../../Container/Container.h"
-#include "../../include/include.h"
+#include "../../../shared/shared.h"
+#include "../../../io/io.h"
+#include "../../../Container/Container.h"
+#include "../../../include/include.h"
 /*}}}*/
 
Index: issm/trunk-jpl/src/c/classes/objects/KML/KML_LineString.cpp
===================================================================
--- issm/trunk-jpl/src/c/classes/objects/KML/KML_LineString.cpp	(revision 12834)
+++ issm/trunk-jpl/src/c/classes/objects/KML/KML_LineString.cpp	(revision 12835)
@@ -14,9 +14,9 @@
 #include <string.h>
 #include "../objects.h"
-#include "../../shared/shared.h"
-#include "../../io/io.h"
-#include "../../Container/Container.h"
-#include "../../include/include.h"
-#include "../../modules/Ll2xyx/Ll2xyx.h"
+#include "../../../shared/shared.h"
+#include "../../../io/io.h"
+#include "../../../Container/Container.h"
+#include "../../../include/include.h"
+#include "../../../modules/Ll2xyx/Ll2xyx.h"
 /*}}}*/
 
Index: issm/trunk-jpl/src/c/classes/objects/KML/KML_LineStyle.cpp
===================================================================
--- issm/trunk-jpl/src/c/classes/objects/KML/KML_LineStyle.cpp	(revision 12834)
+++ issm/trunk-jpl/src/c/classes/objects/KML/KML_LineStyle.cpp	(revision 12835)
@@ -14,8 +14,8 @@
 #include <string.h>
 #include "../objects.h"
-#include "../../shared/shared.h"
-#include "../../io/io.h"
-#include "../../Container/Container.h"
-#include "../../include/include.h"
+#include "../../../shared/shared.h"
+#include "../../../io/io.h"
+#include "../../../Container/Container.h"
+#include "../../../include/include.h"
 /*}}}*/
 
Index: issm/trunk-jpl/src/c/classes/objects/KML/KML_LinearRing.cpp
===================================================================
--- issm/trunk-jpl/src/c/classes/objects/KML/KML_LinearRing.cpp	(revision 12834)
+++ issm/trunk-jpl/src/c/classes/objects/KML/KML_LinearRing.cpp	(revision 12835)
@@ -14,9 +14,9 @@
 #include <string.h>
 #include "../objects.h"
-#include "../../shared/shared.h"
-#include "../../Container/Container.h"
-#include "../../include/include.h"
-#include "../../io/io.h"
-#include "../../modules/Ll2xyx/Ll2xyx.h"
+#include "../../../shared/shared.h"
+#include "../../../io/io.h"
+#include "../../../Container/Container.h"
+#include "../../../include/include.h"
+#include "../../../modules/Ll2xyx/Ll2xyx.h"
 /*}}}*/
 
Index: issm/trunk-jpl/src/c/classes/objects/KML/KML_MultiGeometry.cpp
===================================================================
--- issm/trunk-jpl/src/c/classes/objects/KML/KML_MultiGeometry.cpp	(revision 12834)
+++ issm/trunk-jpl/src/c/classes/objects/KML/KML_MultiGeometry.cpp	(revision 12835)
@@ -14,8 +14,8 @@
 #include <string.h>
 #include "../objects.h"
-#include "../../shared/shared.h"
-#include "../../io/io.h"
-#include "../../Container/Container.h"
-#include "../../include/include.h"
+#include "../../../shared/shared.h"
+#include "../../../io/io.h"
+#include "../../../Container/Container.h"
+#include "../../../include/include.h"
 /*}}}*/
 
Index: issm/trunk-jpl/src/c/classes/objects/KML/KML_Object.cpp
===================================================================
--- issm/trunk-jpl/src/c/classes/objects/KML/KML_Object.cpp	(revision 12834)
+++ issm/trunk-jpl/src/c/classes/objects/KML/KML_Object.cpp	(revision 12835)
@@ -14,8 +14,8 @@
 #include <string.h>
 #include "../objects.h"
-#include "../../shared/shared.h"
-#include "../../io/io.h"
-#include "../../Container/Container.h"
-#include "../../include/include.h"
+#include "../../../shared/shared.h"
+#include "../../../io/io.h"
+#include "../../../Container/Container.h"
+#include "../../../include/include.h"
 /*}}}*/
 
Index: issm/trunk-jpl/src/c/classes/objects/KML/KML_Overlay.cpp
===================================================================
--- issm/trunk-jpl/src/c/classes/objects/KML/KML_Overlay.cpp	(revision 12834)
+++ issm/trunk-jpl/src/c/classes/objects/KML/KML_Overlay.cpp	(revision 12835)
@@ -14,8 +14,8 @@
 #include <string.h>
 #include "../objects.h"
-#include "../../shared/shared.h"
-#include "../../io/io.h"
-#include "../../Container/Container.h"
-#include "../../include/include.h"
+#include "../../../shared/shared.h"
+#include "../../../io/io.h"
+#include "../../../Container/Container.h"
+#include "../../../include/include.h"
 /*}}}*/
 
Index: issm/trunk-jpl/src/c/classes/objects/KML/KML_Placemark.cpp
===================================================================
--- issm/trunk-jpl/src/c/classes/objects/KML/KML_Placemark.cpp	(revision 12834)
+++ issm/trunk-jpl/src/c/classes/objects/KML/KML_Placemark.cpp	(revision 12835)
@@ -14,8 +14,8 @@
 #include <string.h>
 #include "../objects.h"
-#include "../../shared/shared.h"
-#include "../../io/io.h"
-#include "../../Container/Container.h"
-#include "../../include/include.h"
+#include "../../../shared/shared.h"
+#include "../../../io/io.h"
+#include "../../../Container/Container.h"
+#include "../../../include/include.h"
 /*}}}*/
 
Index: issm/trunk-jpl/src/c/classes/objects/KML/KML_Point.cpp
===================================================================
--- issm/trunk-jpl/src/c/classes/objects/KML/KML_Point.cpp	(revision 12834)
+++ issm/trunk-jpl/src/c/classes/objects/KML/KML_Point.cpp	(revision 12835)
@@ -14,9 +14,9 @@
 #include <string.h>
 #include "../objects.h"
-#include "../../shared/shared.h"
-#include "../../io/io.h"
-#include "../../Container/Container.h"
-#include "../../include/include.h"
-#include "../../modules/Ll2xyx/Ll2xyx.h"
+#include "../../../shared/shared.h"
+#include "../../../io/io.h"
+#include "../../../Container/Container.h"
+#include "../../../include/include.h"
+#include "../../../modules/Ll2xyx/Ll2xyx.h"
 /*}}}*/
 
Index: issm/trunk-jpl/src/c/classes/objects/KML/KML_PolyStyle.cpp
===================================================================
--- issm/trunk-jpl/src/c/classes/objects/KML/KML_PolyStyle.cpp	(revision 12834)
+++ issm/trunk-jpl/src/c/classes/objects/KML/KML_PolyStyle.cpp	(revision 12835)
@@ -14,8 +14,8 @@
 #include <string.h>
 #include "../objects.h"
-#include "../../shared/shared.h"
-#include "../../io/io.h"
-#include "../../Container/Container.h"
-#include "../../include/include.h"
+#include "../../../shared/shared.h"
+#include "../../../io/io.h"
+#include "../../../Container/Container.h"
+#include "../../../include/include.h"
 /*}}}*/
 
Index: issm/trunk-jpl/src/c/classes/objects/KML/KML_Polygon.cpp
===================================================================
--- issm/trunk-jpl/src/c/classes/objects/KML/KML_Polygon.cpp	(revision 12834)
+++ issm/trunk-jpl/src/c/classes/objects/KML/KML_Polygon.cpp	(revision 12835)
@@ -14,8 +14,8 @@
 #include <string.h>
 #include "../objects.h"
-#include "../../shared/shared.h"
-#include "../../io/io.h"
-#include "../../Container/Container.h"
-#include "../../include/include.h"
+#include "../../../shared/shared.h"
+#include "../../../io/io.h"
+#include "../../../Container/Container.h"
+#include "../../../include/include.h"
 /*}}}*/
 
Index: issm/trunk-jpl/src/c/classes/objects/KML/KML_Style.cpp
===================================================================
--- issm/trunk-jpl/src/c/classes/objects/KML/KML_Style.cpp	(revision 12834)
+++ issm/trunk-jpl/src/c/classes/objects/KML/KML_Style.cpp	(revision 12835)
@@ -14,8 +14,8 @@
 #include <string.h>
 #include "../objects.h"
-#include "../../shared/shared.h"
-#include "../../io/io.h"
-#include "../../Container/Container.h"
-#include "../../include/include.h"
+#include "../../../shared/shared.h"
+#include "../../../io/io.h"
+#include "../../../Container/Container.h"
+#include "../../../include/include.h"
 /*}}}*/
 
Index: issm/trunk-jpl/src/c/classes/objects/KML/KML_StyleSelector.cpp
===================================================================
--- issm/trunk-jpl/src/c/classes/objects/KML/KML_StyleSelector.cpp	(revision 12834)
+++ issm/trunk-jpl/src/c/classes/objects/KML/KML_StyleSelector.cpp	(revision 12835)
@@ -14,7 +14,8 @@
 #include <string.h>
 #include "../objects.h"
-#include "../../shared/shared.h"
-#include "../../Container/Container.h"
-#include "../../include/include.h"
+#include "../../../shared/shared.h"
+#include "../../../io/io.h"
+#include "../../../Container/Container.h"
+#include "../../../include/include.h"
 /*}}}*/
 
Index: issm/trunk-jpl/src/c/classes/objects/KML/KML_SubStyle.cpp
===================================================================
--- issm/trunk-jpl/src/c/classes/objects/KML/KML_SubStyle.cpp	(revision 12834)
+++ issm/trunk-jpl/src/c/classes/objects/KML/KML_SubStyle.cpp	(revision 12835)
@@ -14,7 +14,8 @@
 #include <string.h>
 #include "../objects.h"
-#include "../../shared/shared.h"
-#include "../../Container/Container.h"
-#include "../../include/include.h"
+#include "../../../shared/shared.h"
+#include "../../../io/io.h"
+#include "../../../Container/Container.h"
+#include "../../../include/include.h"
 /*}}}*/
 
Index: issm/trunk-jpl/src/c/classes/objects/KML/KML_Unknown.cpp
===================================================================
--- issm/trunk-jpl/src/c/classes/objects/KML/KML_Unknown.cpp	(revision 12834)
+++ issm/trunk-jpl/src/c/classes/objects/KML/KML_Unknown.cpp	(revision 12835)
@@ -14,8 +14,8 @@
 #include <string.h>
 #include "../objects.h"
-#include "../../shared/shared.h"
-#include "../../io/io.h"
-#include "../../Container/Container.h"
-#include "../../include/include.h"
+#include "../../../shared/shared.h"
+#include "../../../io/io.h"
+#include "../../../Container/Container.h"
+#include "../../../include/include.h"
 /*}}}*/
 
Index: issm/trunk-jpl/src/c/classes/objects/objects.h
===================================================================
--- issm/trunk-jpl/src/c/classes/objects/objects.h	(revision 12834)
+++ issm/trunk-jpl/src/c/classes/objects/objects.h	(revision 12835)
@@ -9,8 +9,6 @@
 #include "./Object.h"
 
-/*Orphans: */
+/*Objects: */
 #include "./Contour.h"
-
-/*Objects: */
 #include "./Vertex.h"
 #include "./Node.h"
Index: issm/trunk-jpl/src/c/issm.h
===================================================================
--- issm/trunk-jpl/src/c/issm.h	(revision 12834)
+++ issm/trunk-jpl/src/c/issm.h	(revision 12835)
@@ -4,5 +4,5 @@
 
 #ifndef _ISSM_H_
-#define  _ISSM_H_
+#define _ISSM_H_
 
 #ifdef HAVE_CONFIG_H
@@ -14,5 +14,5 @@
 #include "./include/include.h"
 #include "./shared/shared.h"
-#include "./objects/objects.h"
+#include "./classes/classes.h"
 #include "./Container/Container.h"
 #include "./EnumDefinitions/EnumDefinitions.h"
Index: issm/trunk-jpl/src/c/matlab/io/MatlabMatrixToMatrix.cpp
===================================================================
--- issm/trunk-jpl/src/c/matlab/io/MatlabMatrixToMatrix.cpp	(revision 12834)
+++ issm/trunk-jpl/src/c/matlab/io/MatlabMatrixToMatrix.cpp	(revision 12835)
@@ -14,5 +14,5 @@
 #include <string.h>
 #include "./matlabio.h"
-#include "../../objects/objects.h"
+#include "../../classes/classes.h"
 #include "../../shared/shared.h"
 #include "../../Container/Container.h"
Index: issm/trunk-jpl/src/c/matlab/io/MatlabVectorToVector.cpp
===================================================================
--- issm/trunk-jpl/src/c/matlab/io/MatlabVectorToVector.cpp	(revision 12834)
+++ issm/trunk-jpl/src/c/matlab/io/MatlabVectorToVector.cpp	(revision 12835)
@@ -14,5 +14,5 @@
 #include <string.h>
 #include "./matlabio.h"
-#include "../../objects/objects.h"
+#include "../../classes/classes.h"
 #include "../../shared/shared.h"
 #include "../../Container/Container.h"
Index: issm/trunk-jpl/src/c/matlab/io/matlabio.h
===================================================================
--- issm/trunk-jpl/src/c/matlab/io/matlabio.h	(revision 12834)
+++ issm/trunk-jpl/src/c/matlab/io/matlabio.h	(revision 12835)
@@ -12,5 +12,5 @@
 #endif 
 
-#include "../../objects/objects.h"
+#include "../../classes/classes.h"
 #include "../../Container/Container.h"
 #include "../../include/include.h"
Index: issm/trunk-jpl/src/c/shared/Elements/PrintArrays.cpp
===================================================================
--- issm/trunk-jpl/src/c/shared/Elements/PrintArrays.cpp	(revision 12835)
+++ issm/trunk-jpl/src/c/shared/Elements/PrintArrays.cpp	(revision 12835)
@@ -0,0 +1,33 @@
+
+#include "./elements.h"
+#include "../../include/macros.h"
+using namespace std;
+
+void printarray(IssmPDouble* array,int lines,int cols){
+	_printLine_("");
+	for(int i=0;i<lines;i++){  
+		_printString_("   [ ");
+		for(int j=0;j<cols;j++) _printString_( " " << setw(11) << setprecision (5) << array[i*cols+j]);
+		_printLine_(" ]");
+	}  
+	_printLine_("");
+}
+void printarray(int* array,int lines,int cols){
+	_printLine_("");
+	for(int i=0;i<lines;i++){  
+		_printString_("   [ ");
+		for(int j=0;j<cols;j++) _printString_( " " << setw(11) << setprecision (5) << array[i*cols+j]);
+		_printLine_(" ]");
+	}  
+	_printLine_("");
+}
+void printbinary(int n){
+	unsigned int i=1L<<(sizeof(n)*8-1);
+	while (i>0) {
+		if (n&i)
+		 _printString_("1");
+		else
+		 _printString_("0");
+		i>>=1;
+	}
+}
Index: issm/trunk-jpl/src/c/shared/Elements/elements.h
===================================================================
--- issm/trunk-jpl/src/c/shared/Elements/elements.h	(revision 12834)
+++ issm/trunk-jpl/src/c/shared/Elements/elements.h	(revision 12835)
@@ -4,5 +4,5 @@
 
 #ifndef _SHARED_ELEMENTS_H_
-#define  _SHARED_ELEMENTS_H_
+#define _SHARED_ELEMENTS_H_
 
 #include "../../classes/objects/objects.h"
@@ -24,4 +24,5 @@
 int*   GetLocalDofList( Node** nodes,int numnodes,int setenum,int approximation_enum);
 int*   GetGlobalDofList(Node** nodes,int numnodes,int setenum,int approximation_enum);
+
 #ifdef _HAVE_DIAGNOSTIC_
 void   CoordinateSystemTransform(IssmDouble** ptransform,Node** nodes,int numnodes,int* cs_array);
@@ -36,32 +37,7 @@
 #endif
 
-inline void printarray(IssmPDouble* array,int lines,int cols=1){
-	_printLine_("");
-	for(int i=0;i<lines;i++){  
-		_printString_("   [ ");
-		for(int j=0;j<cols;j++) _printString_( " " << setw(11) << setprecision (5) << array[i*cols+j]);
-		_printLine_(" ]");
-	}  
-	_printLine_("");
-}
-inline void printarray(int* array,int lines,int cols=1){
-	_printLine_("");
-	for(int i=0;i<lines;i++){  
-		_printString_("   [ ");
-		for(int j=0;j<cols;j++) _printString_( " " << setw(11) << setprecision (5) << array[i*cols+j]);
-		_printLine_(" ]");
-	}  
-	_printLine_("");
-}
-inline void printbinary(int n) {
-	unsigned int i=1L<<(sizeof(n)*8-1);
-	while (i>0) {
-		if (n&i)
-		 _printString_("1");
-		else
-		 _printString_("0");
-		i>>=1;
-	}
-}
-
+/*Print arrays*/
+void printarray(IssmPDouble* array,int lines,int cols=1);
+void printarray(int* array,int lines,int cols=1);
+void printbinary(int n);
 #endif //ifndef _SHARED_ELEMENTS_H_
Index: issm/trunk-jpl/src/c/shared/Exp/DomainOutlineRead.cpp
===================================================================
--- issm/trunk-jpl/src/c/shared/Exp/DomainOutlineRead.cpp	(revision 12834)
+++ issm/trunk-jpl/src/c/shared/Exp/DomainOutlineRead.cpp	(revision 12835)
@@ -10,5 +10,5 @@
 #include "../Alloc/alloc.h"
 #include "../../include/include.h"
-#include "../../objects/objects.h"
+#include "../../classes/classes.h"
 #include "../Exceptions/exceptions.h"
 #include "../../Container/DataSet.h"
